/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: ResultDeliveryDlg.h
**
** DESCRIPTION: This class defines the "Make Configuration file" dialog
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


#if !defined(AFX_RESULTDELIVERYDLG_H__E65C8795_E88C_4821_B857_8311D01C0CE8__INCLUDED_)
#define AFX_RESULTDELIVERYDLG_H__E65C8795_E88C_4821_B857_8311D01C0CE8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ResultDeliveryDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CResultDeliveryDlg dialog

class CResultDeliveryDlg : public CDialog
{
// Construction
public:
	CResultDeliveryDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CResultDeliveryDlg)
	enum { IDD = IDD_RESULT_DELIVERY };
	BOOL	m_bMailAddr1;
	BOOL	m_bMailAddr2;
	CString	m_SMTPServer1;
	CString	m_SMTPServer2;
	CString	m_MailName1;
	CString	m_MailName2;
	CString	m_MailAddr1;
	CString	m_MailAddr2;
	BOOL	m_bUseFtp1;
	BOOL	m_bUseFtp2;
	CString	m_FTPServer1;
	CString	m_FTPServer2;
	CString	m_FTPUser1;
	CString	m_FTPUser2;
	CString	m_FTPPasswd1;
	CString	m_FTPPasswd2;
	CString	m_FTPDir1;
	CString	m_FTPDir2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CResultDeliveryDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CResultDeliveryDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RESULTDELIVERYDLG_H__E65C8795_E88C_4821_B857_8311D01C0CE8__INCLUDED_)
