/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: TimeStatusBar.h
**
** DESCRIPTION: This class implements the progress bar for RealVideo playback
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/



// TimeStatusBar.h: interface for the CTimeStatusBar class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TIMESTATUSBAR_H__14CD7A8B_93C3_4553_BC3C_B7ECA927D6E4__INCLUDED_)
#define AFX_TIMESTATUSBAR_H__14CD7A8B_93C3_4553_BC3C_B7ECA927D6E4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CTimeStatusBar : public CStatusBar  
{
private:
    CProgressCtrl m_ProgressCtrl;

public:
	CTimeStatusBar();
	virtual ~CTimeStatusBar();
	DECLARE_DYNCREATE(CTimeStatusBar)

// Generated message map functions
protected:
	//{{AFX_MSG(CTimeStatusBar)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
    BOOL AddProgressControl();
    void SetProgressPos(int pos);
    void PositionControls();
};

#endif // !defined(AFX_TIMESTATUSBAR_H__14CD7A8B_93C3_4553_BC3C_B7ECA927D6E4__INCLUDED_)
