/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: UserInfoDlg.cpp
**
** DESCRIPTION: This program implements the methods of CUserInfoDlg class
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang       March-2001
**
/**************************************************************************/


// UserInfoDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RealTracker.h"
#include "UserInfoDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUserInfoDlg dialog


CUserInfoDlg::CUserInfoDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUserInfoDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUserInfoDlg)
	m_nCpuType = 0;
	m_nNetConfig = 0;
	m_strCountry = _T("");
	m_strEmailAddr = _T("");
	m_strName = _T("");
	m_strState = _T("");
	//}}AFX_DATA_INIT
}


void CUserInfoDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUserInfoDlg)
	DDX_CBIndex(pDX, IDC_COMBO_CPUTYPE, m_nCpuType);
	DDX_CBIndex(pDX, IDC_COMBO_NETCONFIG, m_nNetConfig);
	DDX_Text(pDX, IDC_EDIT_COUNTRY, m_strCountry);
	DDV_MaxChars(pDX, m_strCountry, 32);
	DDX_Text(pDX, IDC_EDIT_EMAILADDR, m_strEmailAddr);
	DDV_MaxChars(pDX, m_strEmailAddr, 32);
	DDX_Text(pDX, IDC_EDIT_NAME, m_strName);
	DDV_MaxChars(pDX, m_strName, 24);
	DDX_Text(pDX, IDC_EDIT_STATE, m_strState);
	DDV_MaxChars(pDX, m_strState, 32);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CUserInfoDlg, CDialog)
	//{{AFX_MSG_MAP(CUserInfoDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUserInfoDlg message handlers

BOOL CUserInfoDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
    if (m_bDisableCancel)
        GetDlgItem(IDCANCEL)->EnableWindow(FALSE);
    return TRUE;  // return TRUE unless you set the focus to a control
}

void CUserInfoDlg::OnOK() 
{
/*    UpdateData();

    if (m_strCountry.IsEmpty())
    {
        MessageBox("Please specify your location.", "Confirm");
        GetDlgItem(IDC_EDIT_COUNTRY)->SetFocus();
        return;
    }
    if (m_strState.IsEmpty())
    {
        MessageBox("Please specify your location.", "Confirm");
        GetDlgItem(IDC_EDIT_STATE)->SetFocus();
        return;
    }
    if (m_nCpuType < 0)
    {
        MessageBox("Please specify your cpu type.", "Confirm");
        GetDlgItem(IDC_COMBO_CPUTYPE)->SetFocus();
        return;
    }
    if (m_nNetConfig < 0)
    {
        MessageBox("Please specify your network configuration.", "Confirm");
        GetDlgItem(IDC_COMBO_NETCONFIG)->SetFocus();
        return;
    }*/
	
	CDialog::OnOK();
}
