/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: ShowLogListView.h
**
** DESCRIPTION: This class defines the lower view of log file window
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


#if !defined(AFX_SHOWLOGLISTVIEW_H__AC856566_EE60_4886_A82B_9EBBF9F3D907__INCLUDED_)
#define AFX_SHOWLOGLISTVIEW_H__AC856566_EE60_4886_A82B_9EBBF9F3D907__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ShowLogListView.h : header file
//

#include "ShowLogDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CShowLogListView view

class CShowLogListView : public CListView
{
private:
    BOOL m_bInitialized;

protected:
	CShowLogListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CShowLogListView)

// Attributes
public:
    CShowLogDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CShowLogListView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CShowLogListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CShowLogListView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHOWLOGLISTVIEW_H__AC856566_EE60_4886_A82B_9EBBF9F3D907__INCLUDED_)
