/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: QualityInputDlg.cpp
**
** DESCRIPTION: This program implements the methods of CQualityInputDlg class
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang       March-2001
**
/**************************************************************************/



// QualityInputDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RealTracker.h"
#include "QualityInputDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CQualityInputDlg dialog


CQualityInputDlg::CQualityInputDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CQualityInputDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CQualityInputDlg)
	m_nQualityValue = 0;
	//}}AFX_DATA_INIT
}


void CQualityInputDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CQualityInputDlg)
	DDX_Text(pDX, IDC_EDIT_QUALITY_VALUE, m_nQualityValue);
	DDV_MinMaxInt(pDX, m_nQualityValue, 0, 10);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CQualityInputDlg, CDialog)
	//{{AFX_MSG_MAP(CQualityInputDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CQualityInputDlg message handlers
