/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: StatsDlg.h
**
** DESCRIPTION: This class defines the "view/statistics" display dialog 
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


#if !defined(AFX_STATSDLG_H__95DD7CEF_FFA8_44DF_ABCB_F140579A1332__INCLUDED_)
#define AFX_STATSDLG_H__95DD7CEF_FFA8_44DF_ABCB_F140579A1332__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StatsDlg.h : header file
//

class CRealTrackerView;

/////////////////////////////////////////////////////////////////////////////
// CStatsDlg dialog

class CStatsDlg : public CDialog
{
// Construction
public:
	CStatsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CStatsDlg)
	enum { IDD = IDD_STATS };
	CEdit	m_ShowStats;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStatsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CStatsDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnClose();
	afx_msg void OnButtonSave();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
    CRealTrackerView *m_pView;
    CFont m_EditFont;
    CString m_CurSaveDir;

public:
    void SetTopView(CRealTrackerView *pView);
    void ShowStatsData(char *str);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATSDLG_H__95DD7CEF_FFA8_44DF_ABCB_F140579A1332__INCLUDED_)
