///  class TestFrame

struct IUnknown;
class  ExampleClientAdviceSink;
class  ExampleErrorMessages;
class  ExampleAuthenticationManager;
class  ExampleClientContext;
class CVQTest;

typedef PN_RESULT (PNEXPORT_PTR FPRMSETDLLACCESSPATH) (const char*);

class TestFrame
{
	public:

	TestFrame(CVQTest *pVQTest);
	~TestFrame(THIS_);

	void cleanup();
	void stop_play();
	int play_stream(char*);
	int frame_main();
	void setWindowSize(double);

	IRMAPlayer*					pPlayer;

	private:

	FPRMCREATEENGINE	m_fpCreateEngine;
	FPRMCLOSEENGINE	 	m_fpCloseEngine;
	BOOL				bShowMeTheStatistics;

#ifdef _UNIX
	FPRMSETDLLACCESSPATH	m_fpSetDLLAccessPath;
#endif
 
	ExampleClientContext*		exContext;
    IRMAClientEngine*			pEngine;

#ifdef _UNIX
    IRMAClientEngineSelector*	pSelector;
#endif
    
	IRMAErrorSink*				pErrorSink;
    IRMAErrorSinkControl*		pErrorSinkControl;
	
	HINSTANCE					hDll;
};//end of class
