/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: ShowLogDoc.cpp
**
** DESCRIPTION: This program implements the methods of CShowLogDoc class
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


// ShowLogDoc.cpp : implementation file
//

#include "stdafx.h"
#include "RealData.h"
#include "ShowLogDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CShowLogDoc

IMPLEMENT_DYNCREATE(CShowLogDoc, CDocument)

CShowLogDoc::CShowLogDoc()
{
}

CShowLogDoc::CShowLogDoc(CString filename)
{
    m_szFileName = filename;
}

BOOL CShowLogDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	return TRUE;
}

CShowLogDoc::~CShowLogDoc()
{
}

CString CShowLogDoc::GetFileName()
{
    return m_szFileName;
}


BEGIN_MESSAGE_MAP(CShowLogDoc, CDocument)
	//{{AFX_MSG_MAP(CShowLogDoc)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CShowLogDoc diagnostics

#ifdef _DEBUG
void CShowLogDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CShowLogDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CShowLogDoc serialization

void CShowLogDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CShowLogDoc commands
